Subject: Re: In shell mode, comint-send-input seems to cut off at 254 characters

From: Chong Yidong <[email-masked]>
Date: Fri, 06 Feb 2009 11:18:51 -0500

> I attempted to do this command in shell mode:
> echo
> _234567_10....
> The immediate output was:
> 0_23456_260: Command not found.
> but when I hit enter again without typing anything else, I got:
> _234567_10_234567....
> So the first 254 characters I typed got held back, and the additional
> 11 characters were sent to the inferior shell.  Further, the held back
> characters were then sent when I pressed enter again.
>
>In GNU Emacs 22.3.1 (x86_64-unknown-linux-gnu)

I can't reproduce this, on either 22.3.1 or Emacs 23.  Could you see if
the bug is present in the Emacs 23 pretest?  You can find the pretest
tarball at

 http://alpha.gnu.org/gnu/emacs/pretest/

Thanks.